package ogloszenia.soap;

import jakarta.jws.WebService;
import ogloszenia.baza.sqlite.DostepDoBazySqlite;
import ogloszenia.baza.sqlite.OgloszenieDAO;
import ogloszenia.exn.BladBazyDanych;
import ogloszenia.exn.NieznanyRekord;
import ogloszenia.model.OgloszenieSamochodowe;

import java.util.List;

@WebService
public class Ogloszenia {

    public List<OgloszenieSamochodowe> readAll() throws BladBazyDanych {
        try (DostepDoBazySqlite db = DostepDoBazySqlite.newSQLite()) {
            OgloszenieDAO dao = db.newOgloszenieDAO();
            return dao.readAll();
        }
    }

    public OgloszenieSamochodowe readOne(int idOgloszenia) throws BladBazyDanych, NieznanyRekord {
        try (DostepDoBazySqlite db = DostepDoBazySqlite.newSQLite()) {
            OgloszenieDAO dao = db.newOgloszenieDAO();
            return dao.findById(idOgloszenia);
        }
    }
}
